{% extends 'fet/base.html' %}

{% block content %}

<h1 class="page-title">
  Sélectionnez votre événement
</h1>

{% if object_list %}
<table class="uk-table uk-table-divider">
  <thead>
    <tr>
      <th>Date</th>
      <th>Événement</th>
      {% if request.user.is_staff %}
      <th>Accepte les commandes</th>
      <th>Récapitulatif</th>
      {% endif %}
    </tr>
  </thead>
  <tbody>
    {% for object in object_list %}
    <tr>
      <td>{{ object.date }}</td>
      <td><a href="{% url 'round-order' object.pk %}">{{ object.event }}</a></td>
      {% if request.user.is_staff %}
      <td>{% if object.accept_orders %}Oui{% else %}Non{% endif %}</td>
      <td>
        <a class="uk-button uk-button-default" href="{% url 'round-recap-provider' object.pk %}">Fournisseur</a>
        <a class="uk-button uk-button-default" href="{% url 'round-recap-user' object.pk %}">Client</a>
      </td>
      {% endif %}
    </tr>
    {% endfor %}
  </tbody>
</table>
{% else %}
<p>Il n'est pas actuellement possible de choisir un repas.</p>
{% endif %}

{% regroup fets by provider as provider_list %}

{% for provider, provider_fets in provider_list %}
<br><br>
<h2 class="uk-heading-small">{{ provider }}</h2>
<div class="uk-child-width-1-4@m uk-text-center uk-grid-match" uk-grid>
  {% for fet in provider_fets %}
  <div>
    <div class="uk-card uk-card-default uk-card-body">
      {% if fet.image %}
      <div class="uk-card-media-top">
        <img src="{{ fet.image.url }}" alt="{{ fet.name }}" style="max-height:200px;">
      </div>
      {% elif fet.image_url %}
      <div class="uk-card-media-top">
        <img src="{{ fet.image_url }}" alt="{{ fet.name }}" style="max-height:200px;">
      </div>
      {% endif %}
      <h3 class="uk-card-title">{{ fet.name }}</h3>
      {% if fet.description %}
      {{ fet.description | linebreaks }}
      {% else %}
      <em>Description non fournie</em>
      {% endif %}
      <div class="uk-card-footer">
        <form action="" method="POST">
          {% csrf_token %}
          <input type="hidden" name="fet" value="{{ fet.id }}">
          <button class="uk-button uk-button-primary uk-button-large">Choisir</button>
        </form>
      </div>
    </div>
  </div>
  {% endfor %}
</div>
{% endfor %}
<br><br><br><br>


{% endblock %}
